Rensei docs

Get a registered A2A agent

Get a registered A2A agent - Rensei REST API operation reference.

GET
/api/a2a/agents/{id}

Authorization

cookieAuth
cookiewos-session<token>

WorkOS AuthKit browser session cookie.

Path Parameters

id*string

Response Body

Registered agent detail.

application/json
  1. response
agent*

A registered remote A2A agent for the org.

Example Request
curl -X GET 'https://app.rensei.ai/api/a2a/agents/string'
Example Response
{  "agent": {    "id": "string",    "orgId": "string",    "url": "http://example.com",    "trustLevel": "internal",    "card": {      "name": "string",      "version": "string",      "description": "string",      "supportedInterfaces": [        {          "url": "http://example.com",          "protocolBinding": "JSONRPC",          "protocolVersion": "1.0"        }      ],      "provider": {        "organization": "string",        "url": "http://example.com"      },      "capabilities": {        "streaming": true,        "pushNotifications": true      },      "securitySchemes": {},      "securityRequirements": [        {}      ],      "defaultInputModes": [        "string"      ],      "defaultOutputModes": [        "string"      ],      "skills": [        {}      ]    },    "lastFetchedAt": "2019-08-24T14:15:22Z",    "reachable": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}